Imagick::setImageRenderingIntent
Imagick::setImageScene
Imagick
PHP Manual

# Imagick::setImageResolution

(PECL imagick 2.0.0)

Imagick::setImageResolution — Sets the image resolution

### Description

bool Imagick::setImageResolution ( float `$x_resolution` , float `$y_resolution` )

Sets the image resolution.

### Parameters

`x_resolution`

`y_resolution`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::setImageResolution()

`<?php
function setImageResolution($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->setImageResolution(50, 50);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::setImageRenderingIntent
Imagick::setImageScene
Imagick
PHP Manual